using System.Windows.Forms;
using FastReport.Utils;

namespace FastReport.Dialog
{
    partial class LabelControl
    {
        #region Protected Methods
        /// <inheritdoc/>
        protected override SelectionPoint[] GetSelectionPoints()
        {
            if (Label.AutoSize)
                return new SelectionPoint[] { new SelectionPoint(AbsLeft - 2, AbsTop - 2, SizingPoint.None) };
            return base.GetSelectionPoints();
        }
        #endregion

    }
}
